function $AdfContentFetchEvent$$($source$$134$$, $type$$156$$, $params$$24$$) {
  this.Init($source$$134$$, $type$$156$$, $params$$24$$);
}
$goog$exportSymbol$$("AdfContentFetchEvent", $AdfContentFetchEvent$$);
$AdfObject$$.$createSubclass$($AdfContentFetchEvent$$, $AdfComponentEvent$$);
$AdfContentFetchEvent$$.$FETCH_EVENT_TYPE$ = "fetch";
$goog$exportSymbol$$("AdfContentFetchEvent.FETCH_EVENT_TYPE", $AdfContentFetchEvent$$.$FETCH_EVENT_TYPE$);
$AdfContentFetchEvent$$.$LOADED_EVENT_TYPE$ = "contentLoaded";
$goog$exportSymbol$$("AdfContentFetchEvent.LOADED_EVENT_TYPE", $AdfContentFetchEvent$$.$LOADED_EVENT_TYPE$);
$AdfContentFetchEvent$$.$SYNC_EVENT_TYPE$ = "syncProps";
$goog$exportSymbol$$("AdfContentFetchEvent.SYNC_EVENT_TYPE", $AdfContentFetchEvent$$.$SYNC_EVENT_TYPE$);
$AdfContentFetchEvent$$.prototype.Init = function $$AdfContentFetchEvent$$$$Init$($source$$135$$, $type$$157$$, $params$$25$$) {
  this.$_params$ = $params$$25$$;
  $AdfContentFetchEvent$$.$superclass$.Init.call(this, $source$$135$$, $type$$157$$);
  this.$setPartial$(!0);
  this.$setRoot$($source$$135$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfContentFetchEvent.prototype.Init", {Init:$AdfContentFetchEvent$$.prototype.Init});
$AdfContentFetchEvent$$.prototype.$IsDeleveryDiscrete$ = function $$AdfContentFetchEvent$$$$$IsDeleveryDiscrete$$() {
  return this.getType() == $AdfContentFetchEvent$$.$SYNC_EVENT_TYPE$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfContentFetchEvent.prototype.IsDeleveryDiscrete", {$IsDeleveryDiscrete$:$AdfContentFetchEvent$$.prototype.$IsDeleveryDiscrete$});
$AdfContentFetchEvent$$.prototype.$propagatesToServer$ = function $$AdfContentFetchEvent$$$$$propagatesToServer$$() {
  return this.getType() == $AdfContentFetchEvent$$.$FETCH_EVENT_TYPE$ || this.getType() == $AdfContentFetchEvent$$.$SYNC_EVENT_TYPE$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfContentFetchEvent.prototype.propagatesToServer", {$propagatesToServer$:$AdfContentFetchEvent$$.prototype.$propagatesToServer$});
$AdfContentFetchEvent$$.prototype.$getClearMessages$ = function $$AdfContentFetchEvent$$$$$getClearMessages$$() {
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfContentFetchEvent.prototype.getClearMessages", {$getClearMessages$:$AdfContentFetchEvent$$.prototype.$getClearMessages$});
$AdfContentFetchEvent$$.prototype.$AddMarshalledProperties$ = function $$AdfContentFetchEvent$$$$$AddMarshalledProperties$$($properties$$36$$) {
  $AdfContentFetchEvent$$.$superclass$.$AddMarshalledProperties$.call(this, $properties$$36$$);
  if (this.$_params$) {
    for (var $i$$158$$ in this.$_params$) {
      $properties$$36$$[$i$$158$$] = this.$_params$[$i$$158$$];
    }
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfContentFetchEvent.prototype.AddMarshalledProperties", {$AddMarshalledProperties$:$AdfContentFetchEvent$$.prototype.$AddMarshalledProperties$});
